Bug 763826 - (GLUSTER-2094) Need option to turn off NFS
Need option to turn off NFS
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.0
All All
low Severity low
: ---
: ---
Assigned To: Gaurav
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 15:06 EST by Allen Lu
Modified: 2015-12-01 11:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTP
Mount Type: nfs
Documentation: DA
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Lu 2010-11-11 15:06:18 EST
Turning off NFS has been a requested option. Right now NFS is by default turn on and we have no ability to turn it off.

Customers may not want to use NFS at all and only native.

Also, customers may be using NFS for other purposes that are unrelated to Gluster. Gluster NFS would clash with knfs.
Comment 1 Shehjar Tikoo 2010-11-11 20:35:52 EST
(In reply to comment #0)
> Turning off NFS has been a requested option. Right now NFS is by default turn
> on and we have no ability to turn it off.
> 
> Customers may not want to use NFS at all and only native.
> 
> Also, customers may be using NFS for other purposes that are unrelated to
> Gluster. Gluster NFS would clash with knfs.

It wont clash with knfs. In all cases, knfs is able to override other nfs servers.

But the point is well taken. Its been raised before.
Comment 2 Shehjar Tikoo 2010-11-14 22:05:30 EST
Assigning to kaushik. He'll be introducing nfs options gradually through the CLI. We'll discuss how to introduce option to disable NFS. thanks.
Comment 3 Anand Avati 2011-03-01 14:02:31 EST
PATCH: http://patches.gluster.com/patch/6316 in master (CLI : NFS disable option through volume set.)
Comment 4 Saurabh 2011-03-08 01:45:10 EST
[root@centos-qa-4 glusterfs]# gluster volume set dist1 nfs.disable on
Set volume successful
[root@centos-qa-4 glusterfs]# gluster volume info

Volume Name: srj-dist
Type: Distribute
Status: Started
Number of Bricks: 2
Transport-type: tcp
Bricks:
Brick1: 10.1.12.109:/mnt/srj-dist1
Brick2: 10.1.12.110:/mnt/srj-dist2
Options Reconfigured:
nfs.enable-ino32: disable

Volume Name: dist1
Type: Distribute
Status: Stopped
Number of Bricks: 4
Transport-type: tcp
Bricks:
Brick1: 10.1.12.109:/mnt/dist1
Brick2: 10.1.12.110:/mnt/dist2
Brick3: 10.1.12.109:/mnt/add-dist1
Brick4: 10.1.12.110:/mnt/add-dist2
Options Reconfigured:
nfs.disable: on
nfs.enable-ino32: disable

########################## 

10.1.12.109:/dist1/dir1 on /mnt/nfs-test type nfs (rw,nfsvers=3,nolock,addr=10.1.12.109)
[root@centos-qa-3 ~]# ls /mnt/nfs-test 
ls: /mnt/nfs-test: Stale NFS file handle
[root@centos-qa-3 ~]# 

############################

Volume Name: dist1
Type: Distribute
Status: Started
Number of Bricks: 4
Transport-type: tcp
Bricks:
Brick1: 10.1.12.109:/mnt/dist1
Brick2: 10.1.12.110:/mnt/dist2
Brick3: 10.1.12.109:/mnt/add-dist1
Brick4: 10.1.12.110:/mnt/add-dist2
Options Reconfigured:
nfs.disable: off

10.1.12.109:/dist1/dir1 on /mnt/nfs-test type nfs (rw,nfsvers=3,nolock,addr=10.1.12.109)
[root@centos-qa-3 ~]# ls /mnt/nfs-test/
file.1   file.11  file.13  file.15  file.17  file.19  file.20  file.4  file.6  file.8
file.10  file.12  file.14  file.16  file.18  file.2   file.3   file.5  file.7  file.9
[root@centos-qa-3 ~]#
Comment 5 Divya 2011-03-15 23:54:24 EDT
The following information is added in 3.1.3 Release Notes:

Option to turn-off volume being exported by NFS
You can turn-off volume being exported by NFS option by issuing gluster volume set <VOLNAME> nfs.disable on command.

Note You need to log in before you can comment on or make changes to this bug.